<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #6 - arrays, filter</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #7 - show list on page</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Опишите своими словами, как Вы понимаете, что такое Document Object Model (DOM).</p>
            <div class="answer-wrapper">
                <p class="answer">
                    Насколько я понял, Document Object Model - это представление страницы в формате набора объектов, которые соответстуют тегам элементов на странице, и содержат свойства (стили, координаты, значения (для инпутов) и т.д) внутри каждого объекта
                </p>
              
                
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Реализовать функцию, которая будет получать массив элементов и выводить их на страницу в виде списка.</p>
            <ul class="reqular">
               <li>
                    Создать функцию, которая будет принимать на вход массив и опциональный второй аргумент parent - DOM-элемент, к которому будет прикреплен список (по дефолту должен быть document.body)
               </li>
               <li>
                    Каждый из элементов массива вывести на страницу в виде пункта списка
               </li>
              <li>
                    Используйте шаблонные строки и метод map массива для формирования контента списка перед выведением его на страницу
              </li>
              
            </ul>

            <p class="question">Дополнительно:</p>
            <ul class="additional">
                <li>
                    Добавьте обработку вложенных массивов. Если внутри массива одним из элементов будет еще один массив, выводить его как вложенный список
                </li>
                <li>
                    Очистить страницу через 3 секунды. Показывать таймер обратного отсчета (только секунды) перед очищением страницы
                </li>
             </ul>
            <p class="answer btn-wrapper">
                <button class="btn btn-red task-start">Запустить</button>
            </p>
            <!-- <p class="result">Смотри результат в консоли!</p> -->

            <!-- <p class="counter-block">Страница будет очищена через <span class="counter">3</span> </p> -->

            <ul class="result">

            </ul>
            
        </div>
    </div>
    
    <script src="js/script.js"></script>
</body>
</html>